namespace TestClient;

/// <summary>
/// Ʈ ߰ 
/// </summary>
[QueryProperty("PartToDisplay", "part")]
public partial class AddPartPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region Field

    /// <summary>
    ///  
    /// </summary>
    private AddPartViewModel viewModel;

    /// <summary>
    /// ǥ ǰ
    /// </summary>
    private Part partToDisplay;

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region ǥ ǰ - PartToDisplay

    /// <summary>
    /// ǥ ǰ
    /// </summary>
    public Part PartToDisplay
    {
        get => this.partToDisplay;
        set
        {
            if(this.partToDisplay == value)
            {
                return;
            }

            this.partToDisplay = value;

            this.viewModel.PartID       = this.partToDisplay.PartID;
            this.viewModel.PartName     = this.partToDisplay.PartName;
            this.viewModel.SupplierList = this.partToDisplay.SupplierList2;
            this.viewModel.PartType     = this.partToDisplay.PartType;
        }
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region  - AddPartPage()

    /// <summary>
    /// 
    /// </summary>
    public AddPartPage()
    {
        InitializeComponent();

        this.viewModel = new AddPartViewModel();

        BindingContext = this.viewModel;
    }

    #endregion
}