﻿using Android.App;
using Android.Runtime;

namespace TestClient;

/// <summary>
/// 메인 애플리케이션
/// </summary>
[Application]
public class MainApplication : MauiApplication
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainApplication(handle, ownership)

    /// <summary>
    /// 생성자
    /// </summary>
    /// <param name="handle">핸들</param>
    /// <param name="ownership">소유자</param>
    public MainApplication(IntPtr handle, JniHandleOwnership ownership) : base(handle, ownership)
    {
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Protected

    #region MAUI 앱 생성하기 - CreateMauiApp()

    /// <summary>
    /// MAUI 앱 생성하기
    /// </summary>
    /// <returns>MAUI 앱</returns>
    protected override MauiApp CreateMauiApp() => MauiProgram.CreateMauiApp();

    #endregion
}