﻿namespace TestServer.Models
{
    /// <summary>
    /// 부품
    /// </summary>
    public class Part
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 부품 ID - PartID

        /// <summary>
        /// 부품 ID
        /// </summary>
        public string PartID { get; set; }

        #endregion
        #region 부품명 - PartName

        /// <summary>
        /// 부품명
        /// </summary>
        public string PartName { get; set; }

        #endregion
        #region 공급자 리스트 - SupplierList

        /// <summary>
        /// 공급자 리스트
        /// </summary>
        public List<string> SupplierList { get; set; }

        #endregion
        #region 부품 이용 가능일 - PartAvailableDate

        /// <summary>
        /// 부품 이용 가능일
        /// </summary>
        public DateTime PartAvailableDate { get; set; }

        #endregion
        #region 부품 타입 - PartType

        /// <summary>
        /// 부품 타입
        /// </summary>
        public string PartType { get; set; }

        #endregion
    }
}